Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.plugins
Class PluginLoader

    java.lang.Object
      org.pentaho.di.core.plugins.PluginLoader

    public class PluginLoader

extends Object

This class handles all plugin loading steps for Kettle/PDI. It uses the ConfigManager class to load `PluginConfig` objects, which contain all the location from where the plugin should be loaded. Plugins are configured by modifying the kettle-plugins.xml file.

Author:
  Alex Silva
See Also:
  `PluginLocation`, `JobEntryLoader`

Field Summary
`static String` | `DEFAULT_LIB`

Method Summary
`
`<E extends org.pentaho.di.core.plugins.Plugin> Collection<E>`
` | `getDefinedPlugins(Class<E> pluginType)`
`static PluginLoader` | `getInstance()`
`void` | `load(String mgr)` Loads all plugins identified by the string passed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LIB

    public static final String DEFAULT_LIB

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static PluginLoader getInstance()

### load

    public void load(String mgr)
              throws org.pentaho.di.core.exception.KettleConfigException

  Loads all plugins identified by the string passed. This method can be called multiple times with different managers.

  Parameters:
    `mgr` - The manager id, as defined in kettle-config.xml.
  Throws:
    `org.pentaho.di.core.exception.KettleConfigException`

### getDefinedPlugins

    public <E extends org.pentaho.di.core.plugins.Plugin> Collection<E> getDefinedPlugins(Class<E> pluginType)
                                                                               throws org.pentaho.di.core.exception.KettleConfigException

  Throws:
    `org.pentaho.di.core.exception.KettleConfigException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD